Unverified Commit 685dc4e2 authored by Martin Pugh's avatar Martin Pugh Committed by GitHub
Browse files

Bump version, spec_version & substrate in prep for release v0.9.5 (#3238)

* bump spec_version and version

* bump substrate

* remove migrations

* Revert "remove migrations"

This reverts commit ceeab924.

* remove stale migration for kusama + westend
parent f91c8ee4
Pipeline #142309 passed with stages
in 36 minutes and 7 seconds
# This file is automatically @generated by Cargo.
# It is not intended for manual editing.
version = 3
[[package]]
name = "Inflector"
version = "0.11.4"
......@@ -479,7 +481,7 @@ dependencies = [
[[package]]
name = "beefy-gadget"
version = "0.1.0"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget#a58179d4f59f4c31c7a09d5b0ce14df8450743a3"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget?branch=master#a58179d4f59f4c31c7a09d5b0ce14df8450743a3"
dependencies = [
"beefy-primitives",
"futures 0.3.15",
......@@ -507,7 +509,7 @@ dependencies = [
[[package]]
name = "beefy-gadget-rpc"
version = "0.1.0"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget#a58179d4f59f4c31c7a09d5b0ce14df8450743a3"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget?branch=master#a58179d4f59f4c31c7a09d5b0ce14df8450743a3"
dependencies = [
"beefy-gadget",
"beefy-primitives",
......@@ -528,7 +530,7 @@ dependencies = [
[[package]]
name = "beefy-primitives"
version = "0.1.0"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget#a58179d4f59f4c31c7a09d5b0ce14df8450743a3"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget?branch=master#a58179d4f59f4c31c7a09d5b0ce14df8450743a3"
dependencies = [
"parity-scale-codec",
"sp-api",
......@@ -3231,7 +3233,7 @@ dependencies = [
[[package]]
name = "kusama-runtime"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"beefy-primitives",
"bitvec",
......@@ -4623,7 +4625,7 @@ dependencies = [
[[package]]
name = "pallet-beefy"
version = "0.1.0"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget#a58179d4f59f4c31c7a09d5b0ce14df8450743a3"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget?branch=master#a58179d4f59f4c31c7a09d5b0ce14df8450743a3"
dependencies = [
"beefy-primitives",
"frame-support",
......@@ -5681,7 +5683,7 @@ checksum = "989d43012e2ca1c4a02507c67282691a0a3207f9dc67cec596b43fe925b3d325"
[[package]]
name = "polkadot"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"assert_cmd",
"color-eyre",
......@@ -5793,7 +5795,7 @@ dependencies = [
[[package]]
name = "polkadot-cli"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"frame-benchmarking-cli",
"futures 0.3.15",
......@@ -5870,7 +5872,7 @@ dependencies = [
[[package]]
name = "polkadot-core-primitives"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"parity-scale-codec",
"parity-util-mem",
......@@ -5881,7 +5883,7 @@ dependencies = [
[[package]]
name = "polkadot-erasure-coding"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"parity-scale-codec",
"polkadot-node-primitives",
......@@ -6380,7 +6382,7 @@ dependencies = [
[[package]]
name = "polkadot-parachain"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"derive_more",
"parity-scale-codec",
......@@ -6394,7 +6396,7 @@ dependencies = [
[[package]]
name = "polkadot-primitives"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"bitvec",
"frame-system",
......@@ -6447,7 +6449,7 @@ dependencies = [
[[package]]
name = "polkadot-rpc"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"beefy-gadget",
"beefy-gadget-rpc",
......@@ -6479,7 +6481,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"beefy-primitives",
"bitvec",
......@@ -6562,7 +6564,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime-common"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"beefy-primitives",
"bitvec",
......@@ -6615,7 +6617,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime-parachains"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"bitvec",
"derive_more",
......@@ -6666,7 +6668,7 @@ dependencies = [
[[package]]
name = "polkadot-service"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"beefy-gadget",
"beefy-primitives",
......@@ -6786,7 +6788,7 @@ dependencies = [
[[package]]
name = "polkadot-statement-table"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"parity-scale-codec",
"polkadot-primitives",
......@@ -6795,7 +6797,7 @@ dependencies = [
[[package]]
name = "polkadot-test-client"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"futures 0.3.15",
"parity-scale-codec",
......@@ -6821,7 +6823,7 @@ dependencies = [
[[package]]
name = "polkadot-test-runtime"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"beefy-primitives",
"bitvec",
......@@ -6883,7 +6885,7 @@ dependencies = [
[[package]]
name = "polkadot-test-service"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"frame-benchmarking",
"frame-system",
......@@ -7602,7 +7604,7 @@ dependencies = [
[[package]]
name = "rococo-runtime"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"beefy-primitives",
"bp-rococo",
......@@ -9145,7 +9147,7 @@ dependencies = [
[[package]]
name = "slot-range-helper"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"enumn",
"parity-scale-codec",
......@@ -10297,7 +10299,7 @@ dependencies = [
[[package]]
name = "test-parachain-adder"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"dlmalloc",
"parity-scale-codec",
......@@ -10310,7 +10312,7 @@ dependencies = [
[[package]]
name = "test-parachain-adder-collator"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"futures 0.3.15",
"futures-timer 3.0.2",
......@@ -10337,14 +10339,14 @@ dependencies = [
[[package]]
name = "test-parachain-halt"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"substrate-wasm-builder",
]
[[package]]
name = "test-parachains"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"parity-scale-codec",
"polkadot-parachain",
......@@ -11622,7 +11624,7 @@ dependencies = [
[[package]]
name = "westend-runtime"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"beefy-primitives",
"bitvec",
......@@ -11816,7 +11818,7 @@ dependencies = [
[[package]]
name = "xcm"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"derivative",
"impl-trait-for-tuples",
......@@ -11825,7 +11827,7 @@ dependencies = [
[[package]]
name = "xcm-builder"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"frame-support",
"frame-system",
......@@ -11843,7 +11845,7 @@ dependencies = [
[[package]]
name = "xcm-executor"
version = "0.9.4"
version = "0.9.5"
dependencies = [
"frame-support",
"impl-trait-for-tuples",
......
......@@ -6,7 +6,7 @@ path = "src/main.rs"
name = "polkadot"
description = "Implementation of a https://polkadot.network node in Rust based on the Substrate framework."
license = "GPL-3.0-only"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
readme = "README.md"
......
[package]
name = "polkadot-cli"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Polkadot Relay-chain Client Node"
edition = "2018"
......
[package]
name = "polkadot-core-primitives"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-erasure-coding"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-service"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-test-client"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-test-service"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-parachain"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Types and utilities for creating and working with parachains"
edition = "2018"
......
[package]
name = "test-parachains"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Integration tests using the test-parachains"
edition = "2018"
......
[package]
name = "test-parachain-adder"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Test parachain which adds to a number as its state transition"
edition = "2018"
......
[package]
name = "test-parachain-adder-collator"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Collator for the adder test parachain"
edition = "2018"
......
[package]
name = "test-parachain-halt"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Test parachain which executes forever"
edition = "2018"
......
[package]
name = "polkadot-primitives"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-rpc"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-runtime-common"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "slot-range-helper"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "kusama-runtime"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
build = "build.rs"
......
......@@ -120,7 +120,7 @@ pub const VERSION: RuntimeVersion = RuntimeVersion {
spec_name: create_runtime_str!("kusama"),
impl_name: create_runtime_str!("parity-kusama"),
authoring_version: 2,
spec_version: 9041,
spec_version: 9050,
impl_version: 0,
#[cfg(not(feature = "disable-runtime-api"))]
apis: RUNTIME_API_VERSIONS,
......@@ -1480,31 +1480,6 @@ construct_runtime! {
}
}
pub struct GrandpaStoragePrefixMigration;
impl frame_support::traits::OnRuntimeUpgrade for GrandpaStoragePrefixMigration {
fn on_runtime_upgrade() -> frame_support::weights::Weight {
use frame_support::traits::PalletInfo;
let name = <Runtime as frame_system::Config>::PalletInfo::name::<Grandpa>()
.expect("grandpa is part of pallets in construct_runtime, so it has a name; qed");
pallet_grandpa::migrations::v3_1::migrate::<Runtime, Grandpa, _>(name)
}
#[cfg(feature = "try-runtime")]
fn pre_upgrade() -> Result<(), &'static str> {
use frame_support::traits::PalletInfo;
let name = <Runtime as frame_system::Config>::PalletInfo::name::<Grandpa>()
.expect("grandpa is part of pallets in construct_runtime, so it has a name; qed");
pallet_grandpa::migrations::v3_1::pre_migration::<Runtime, Grandpa, _>(name);
Ok(())
}
#[cfg(feature = "try-runtime")]
fn post_upgrade() -> Result<(), &'static str> {
pallet_grandpa::migrations::v3_1::post_migration::<Grandpa>();
Ok(())
}
}
/// The address format for describing accounts.
pub type Address = sp_runtime::MultiAddress<AccountId, ()>;
/// Block header type as expected by this runtime.
......@@ -1534,7 +1509,6 @@ pub type Executive = frame_executive::Executive<
frame_system::ChainContext<Runtime>,
Runtime,
AllPallets,
GrandpaStoragePrefixMigration,
>;
/// The payload being signed in the transactions.
pub type SignedPayload = generic::SignedPayload<Call, SignedExtra>;
......
[package]
name = "polkadot-runtime-parachains"
version = "0.9.4"
version = "0.9.5"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment